Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 230209

Summary: Warnings using "esd" compat daemon
Product: [Fedora] Fedora Reporter: Bastien Nocera <bnocera>
Component: pulseaudioAssignee: Lennart Poettering <lpoetter>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: pierre-bugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-09-07 10:19:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Bastien Nocera 2007-02-27 14:49:10 UTC
pulseaudio-0.9.5-3.fc7
pulseaudio-module-x11-0.9.5-3.fc7
pulseaudio-module-gconf-0.9.5-3.fc7
pulseaudio-module-zeroconf-0.9.5-3.fc7
pulseaudio-esound-compat-0.9.5-3.fc7

# echo -e "remove esound\n install pulseaudio-esound-compat\n run\n quit" | yum
-y shell
(and install some more modules following bug 230206)

$ esd &
[1] 4813
main.c: WARNING: called SUID root, but not in group 'pulse-rt'.

Comment 1 Bastien Nocera 2007-02-27 16:08:39 UTC
Related: http://pulseaudio.org/ticket/21

Comment 2 Pierre Ossman 2007-03-02 09:24:28 UTC
Not sure what the desired solution is here. Care to elaborate? :)

Comment 3 Bastien Nocera 2007-09-05 18:44:44 UTC
I have no idea what the warning means, but at the end of the day, there's a
warning. What does this warning mean? How would I fix the problem?

Comment 4 Lennart Poettering 2007-09-07 10:19:07 UTC
I downgraded this warning now and modified it to give a little more elaborate
explanation of what's going on.